> ## Documentation Index
> Fetch the complete documentation index at: https://stytch.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Projects

> GetAll retrieves all projects in a workspace.



## OpenAPI

````yaml GET /pwa/v3/projects
openapi: 3.0.3
info:
  title: Stytch API
  description: The Stytch API provides endpoints for authentication and user management.
  version: 1.0.0
  contact:
    name: Stytch Support
    url: https://stytch.com/docs
    email: support@stytch.com
servers:
  - url: https://management.stytch.com
    description: Production server
security:
  - basicAuth: []
paths:
  /pwa/v3/projects:
    get:
      tags:
        - Application
      summary: Getall
      description: GetAll retrieves all projects in a workspace.
      operationId: pwa_application_v3_GetAll
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pwa_application_v3_GetAllResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                status_code: 401
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: unauthorized_credentials
                error_message: Unauthorized credentials.
                error_url: https://stytch.com/docs/api/errors/401
        '429':
          description: Too Many Requests
          content:
            application/json:
              example:
                status_code: 429
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: too_many_requests
                error_message: Too many requests have been made.
                error_url: https://stytch.com/docs/api/errors/429
        '500':
          description: Internal server error
          content:
            application/json:
              example:
                status_code: 500
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: internal_server_error
                error_message: >-
                  Oops, something seems to have gone wrong, please reach out to
                  support@stytch.com to let us know what went wrong.
                error_url: https://stytch.com/docs/api/errors/500
components:
  schemas:
    pwa_application_v3_GetAllResponse:
      type: object
      properties:
        request_id:
          type: string
        projects:
          type: array
          items:
            $ref: '#/components/schemas/pwa_application_v3_Project'
        status_code:
          type: integer
          format: int32
      description: Response type
      required:
        - request_id
        - projects
        - status_code
    pwa_application_v3_Project:
      type: object
      properties:
        project_slug:
          type: string
        name:
          type: string
        vertical:
          $ref: '#/components/schemas/api_attribute_v1_Vertical'
        created_at:
          type: string
      required:
        - project_slug
        - name
    api_attribute_v1_Vertical:
      type: string
      enum:
        - ALL
        - CONSUMER
        - B2B
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````